from src.batch.ultmarc.utmp_tables.tables.ultmarc_table import UltmarcTable


class ComPost(UltmarcTable):
    """レイアウト区分005: COM_役職"""
    post_cd: str            # 役職コード
    form_post_name: str     # 正式役職名
    maint_flag: str         # 修正区分

    def __init__(self, record: list[str]):
        super().__init__(record)
        self.post_cd = record[1]
        self.maint_flag = record[2]
        self.form_post_name = record[5]
